Subject: Re: bug#54964: 28.1; mistatement in NEWS about read-extended-command-predicate

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Apr 2022 16:55:30 +0300

> From: Howard Melman <[email-masked]>
> Date: Sat, 16 Apr 2022 09:30:27 -0400
> 
> If the NEWS entry in question is just about M-x then you are
> correct that it is fine.  But if it's about these declare
> forms in general then it seems to be problematic.  I read it
> as the latter for two reasons.  First the header:
> 
>    ** New 'declare' forms to control completion of commands in 'M-x'.
> 
> reads to me as being about "New 'declare' forms" which are
> (incidently) used to control completion in M-x. That they
> are also used in M-S-x seems relevant though it's not
> stated.
> 
> Second, the final paragraph in question, talks about "these
> forms" and doesn't mention M-x so I took "excluded from being
> completion candidates" to mean from all commands.
> 
> This entry read to me as if it was written before
> execute-extended-command-for-buffer existed and wasn't
> updated after it was.
> 
> I think adding to the end something like: "from M-x (though
> they are used by M-S-x which see below)". would clarify it.

There's no real way for us to clarify NEWS entries after the
corresponding Emacs version was released, since we cannot
retroactively modify released versions, and Emacs 28.2 will have its
own section in NEWS, separate from Emacs 28.1.  And since this is
about something that is not even explicitly stated in NEWS, but your
inference from what is written there, I don't see an urgent need to
try to find some way of clarifying it.  The downside, I presume, is
that someone else could perhaps be led to the same erroneous
conclusion as you were.  We'll have to live with that, I guess.